Subject: Re: [PATCH net-next v3 09/12] selftests: ncdevmem: Remove hard-coded queue numbers

From: Stanislav Fomichev <[email-masked]>
Date: Mon, 14 Oct 2024 07:47:35 -0700

On 10/12, Mina Almasry wrote:
> On Wed, Oct 9, 2024 at 10:13 AM Stanislav Fomichev <[email-masked]> wrote:
> >
> > Use single last queue of the device and probe it dynamically.
> >
> 
> Sorry I thought agreed that multi-queue binding test coverage is important.
> 
> Can you please leave the default of num_queues to be 8 queues, or
> rxq_num / 2? You can override num_queues to 1 in your test invocations
> if you want. I would like by default an unaware tester that doesn't
> set num_queues explicitly to get multi-queue test coverage.

I might have misunderstood the agreement :-) I though you were ok with
the following arrangement:

1. use num_queues / 2 in the selftest mode to make sure binding to multiple
   queues works (and this gets exercised from the python kselftest)
2. use single queue for the actual data path test (since we are
   installing single flow steering rule, having multiple queues here is
   confusing)

The num_queues / 2 part is here:
https://lore.kernel.org/netdev/[email-masked]/

Anything I'm missing?